# Generated by Django 3.0.4 on 2020-07-27 13:33

import django.db.models.deletion
from django.db import migrations, models


def copy_links_to_models(apps, _):
    Document = apps.get_model("pile", "Document")
    DocumentLink = apps.get_model("pile", "DocumentLink")

    for document in Document.objects.all():
        if document.external_url:
            DocumentLink.objects.create(
                document=document,
                url=document.external_url,
                order=1
            )


class Migration(migrations.Migration):
    dependencies = [
        ('pile', '0012_auto_20200610_1013'),
    ]

    operations = [
        migrations.CreateModel(
            name='DocumentLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveIntegerField(db_index=True, editable=False, verbose_name='order')),
                ('url', models.URLField()),
                ('description', models.CharField(blank=True, max_length=512, null=True)),
                ('document', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='urls',
                                               to='pile.Document')),
            ],
            options={
                'ordering': ('order',),
                'abstract': False,
            },
        ),
        migrations.RunPython(copy_links_to_models, reverse_code=lambda: None),
        migrations.RemoveField(
            model_name='document',
            name='external_url',
        ),
    ]
